module ALUcontrol(inputA,LorR,Sel,Add);
	input [2:0] inputA;
	
	output LorR;
	output [1:0] Sel;
	output Add;
	
	reg LorR;
	reg [1:0] Sel;
	reg Add; 

	always @ ( inputA ) begin
		case (inputA)
			0: begin	// Add
				Sel <= 0;
				Add <= 1;
			end
			1: begin	//Sub
				Sel <= 0;
				Add <= 0;
			end
			2: begin	//SLL
				Sel <= 1;
				LorR <= 0;
			end
			3: begin	//SRL
				Sel <= 1;
				LorR <= 1;
			end
			4: begin	//AND
				Sel <= 2;
			end
			5: begin	//OR
				Sel <= 3;
			end
		endcase
	end		
endmodule

